Page MenuHomePhabricator

Remove MobilePreferences from MobileFrontend
Closed, ResolvedPublic3 Story Points

Description

When speaking to @Samwilson during all hands he commented how MobileFrontend was creating problems for the global preferences work. When reviewing the state of the MobilePreferences code, I concluded that it's probably not necessary any more.

I suggest we load the core JavaScript on this page and remove our override in MobileFrontend. This will mean less code to maintain, we're unblock Sam's work.

The biggest issue with rendering the desktop preferences page on mobile is the horizontal menu at the top of the page (which does not scale well to a mobile skin) but given we do not link to preferences on mobile, making this horizontally scrollable should be an acceptable compromise.

QA steps

Visit https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences and https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Preferences and verify the forms are functional (not necessarily usable/mobile friendly)

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterDo not add non-existent skins.minerva.special.preferences.scripts
mediawiki/extensions/MobileFrontend : masterRemove MobilePreferences in favor of core

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 8:32 PM

Change 406123 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove MobilePreferences in favor of core

https://gerrit.wikimedia.org/r/406123

Change 406640 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Do not add non-existent skins.minerva.special.preferences.scripts

https://gerrit.wikimedia.org/r/406640

Thanks @Jdlrobson.

Just to clarify, it's not blocking GlobalPreferences, it's just that because of GlobalPreferens we've deprecated some things that MobileFrontend uses. Much better to delete it rather than fixing it though! :-)

The other problem with the normal Special:Preferences is that it's a table-based layout, and so the label column can get pretty narrow on small screens and make some things pretty ugly. But as you say, it's unlikely to be used much on mobile — and ultimately (soon?) this will be fixed by switching to OOUI.

pmiazga added a subscriber: pmiazga.

Bringing into sprint for visibility

Niedzielski set the point value for this task to 3.Jan 30 2018, 5:15 PM

@pmiazga I'm not sure this "needs more work". All patches seem to have +1s now. Let me know if I'm missing something.

@Jdlrobson, I left some optional feedback on a couple of the patches but functionally they're fine.

Jdlrobson updated the task description. (Show Details)Jan 31 2018, 6:33 PM

Change 406123 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove MobilePreferences in favor of core

https://gerrit.wikimedia.org/r/406123

Change 406640 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Do not add non-existent skins.minerva.special.preferences.scripts

https://gerrit.wikimedia.org/r/406640

phuedx added a subscriber: phuedx.

Reflecting reality.

pmiazga claimed this task.Feb 1 2018, 2:48 PM
pmiazga removed pmiazga as the assignee of this task.Feb 1 2018, 6:02 PM

Over to your Anthony.

Looks good to me on Beta:

ovasileva closed this task as Resolved.Feb 5 2018, 2:58 PM
ovasileva added a subscriber: ovasileva.

looks good!

TBolliger moved this task from Untriaged to Archive on the Community-Tech board.Feb 14 2018, 1:12 AM